Fixed JSON validator and `DELETE` not work issue in onos-netcfg

1. Supprot handle upper case DELETE and fixed DELETE funcion
2. Fixed `POST` can not work if JSON format is correct

Change-Id: I762cb73ce73a42393264dcace1beaf5cf53492f7
diff --git a/tools/test/bin/onos-netcfg b/tools/test/bin/onos-netcfg
index 1cad92d..a308bbc 100755
--- a/tools/test/bin/onos-netcfg
+++ b/tools/test/bin/onos-netcfg
@@ -15,13 +15,18 @@
 url="${3}"
 
 method="POST"
-[ $file == "delete" ] && method="DELETE"
+[ $(echo $file | awk '{print tolower($0)}') == "delete" ] && method="DELETE"
 
-# Validate JSON
 if [ $method == "POST" ]; then
-    cat $file | python -m json.tool >> /dev/null || echo "Not valid JSON File"; exit 1
+    # Validate JSON
+    cat $file | python -m json.tool >> /dev/null
+    if [ "$?" -ne "0" ]; then
+        echo "Not valid JSON File" && exit 1
+    fi
+    curl $fail -sSL --user $ONOS_WEB_USER:$ONOS_WEB_PASS \
+        -X POST -H 'Content-Type:application/json' \
+        http://$node:8181/onos/v1/network/configuration/${url} -d@$file
+elif [ $method == "DELETE" ]; then
+    curl $fail -sSL --user $ONOS_WEB_USER:$ONOS_WEB_PASS \
+        -X DELETE http://$node:8181/onos/v1/network/configuration/${url}
 fi
-
-curl $fail -sSL --user $ONOS_WEB_USER:$ONOS_WEB_PASS \
-    -X $method -H 'Content-Type:application/json' \
-    http://$node:8181/onos/v1/network/configuration/${url} -d@$file